/* ----------------------------------------------------------------
	Custom CSS

	Add all your Custom Styled CSS here for New Styles or
	Overwriting Default Theme Styles for Better Handling Updates
-----------------------------------------------------------------*/
html, body {
    height: 100%;
    margin: 0;
}

.modalEmployee {
    --bs-modal-width: 1200px;
}

.page-container {
    min-height: 100vh; /* Full viewport height */
    display: flex;
    flex-direction: column;
}

.content-wrap {
    min-height: 90vh;
}

:root {
    --cnvs-themecolor: #002851;
    --cnvs-themecolor-rgb: 0, 40, 81;
    --cnvs-color1: #bc8d27;
    --cnvs-color2: #8cdc8c;
    --cnvs-color3: #dd5980;
    --cnvs-color4: #d5a651;
    --cnvs-side-header-bg: #002851;
    --cnvs-header-bg: #002851;
    --cnvs-primary-menu-color: #FFF;
    --cnvs-link-hover-color: #bc8d27;
    --bs-primary-rgb: 0, 40, 81;
    --cnvs-secondcolor: #bc8d27;
    --cnvs-primary-font: var(--cnvs-body-font);
    --cnvs-secondary-font: var(--cnvs-body-font);
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #002851;
    --bs-btn-border-color: #002851;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #004080;
    --bs-btn-hover-border-color: #004080;
    --bs-btn-focus-shadow-rgb: 0, 40, 81;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #003366;
    --bs-btn-active-border-color: #003366;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #002851;
    --bs-btn-disabled-border-color: #002851;
}

.btn-outline-primary {
    --bs-btn-color: #002851;
    --bs-btn-border-color: #002851;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #002851;
    --bs-btn-hover-border-color: #002851;
    --bs-btn-focus-shadow-rgb: 0, 40, 81;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #002851;
    --bs-btn-active-border-color: #002851;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #002851;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #002851;
    --bs-gradient: none;
}

.text-left {
    text-align: left !important;
}

.text-right {
    text-align: right !important;
}

.primary-menu-trigger, #page-menu-trigger, .menu-link {
    color: #FFF;
    text-transform: none;
}

.table-primary-header th {
    background-color: #002851;
}

.table-primary-header thead th .dxbs-fixed-header-content a {
    color: white;
}

.table-primary-header thead th .dxbs-fixed-header-content .h-icons .btn-link {
    --bs-btn-color: #FFF;
}

.table-primary-header thead th .dxbs-fixed-header-content a:hover {
    color: var(--cnvs-link-hover-color);
}

.form-check-input {
    border: 0;
    margin-top: 0.15em;
}

.menu-item .menu-link:hover {
    -webkit-transform: translateX(3px);
    -ms-transform: translateX(3px);
    -o-transform: translateX(3px);
    transform: translateX(3px);
    color: #FFF;
}

form {
    margin-bottom: 0px;
}


#header {
    --cnvs-header-height: 80px;
    --cnvs-primary-menu-font-size: 0.825rem;
    --cnvs-primary-menu-ls: 1px;
    --cnvs-primary-menu-tt: uppercase;
    --cnvs-primary-menu-font-weight: 700;
}

#top-bar {
    --cnvs-topbar-font-transform: uppercase;
    --cnvs-topbar-font-size: 0.75rem;
}

.second-color {
    color: var(--cnvs-secondcolor) !important;
}

.second-bg-color {
    background-color: var(--cnvs-secondcolor) !important;
}

.cmbItemWrap a span {
    word-wrap: break-word;
    white-space: normal;
}

/* Topbar
-----------------------------------------------------------------*/
.top-links li a img {
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 20px;
    top: -1px;
    margin-right: 8px;
    border: 1px solid rgba(255, 255, 255, 0.7);
}

/* Header
-----------------------------------------------------------------*/
#primary-menu ul li > a {
    text-transform: none;
    font-size: 1rem;
    font-weight: 500;
    letter-spacing: 0;
}

.svg-separator {
    position: absolute;
    width: 100%;
    height: 20px;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    flex-direction: column;
    z-index: 1;
}

    .svg-separator.top {
        top: -1px;
        bottom: auto;
    }


.form-process {
    top: 0;
    left: 0;
}

.hero-diagonal {
    position: relative;
}

    .hero-diagonal::before {
        content: '';
        position: absolute;
        top: -50px;
        left: 0;
        width: 100%;
        height: calc(100% + 100px);
        --webkit-clip-path: polygon(0 9%, 100% 0%, 100% 91%, 0 100%);
        clip-path: polygon(0 9%, 100% 0%, 100% 91%, 0 100%);
        background-image: linear-gradient(rgba(0,0,0,0.3), rgba(0,0,0,0.4)), url('images/section.jpg');
        background-position: center center;
        background-size: cover;
    }

.feature-box.fbox-plain:not(.fbox-small) .fbox-icon img {
    width: 50px;
}

.negetive-margin {
    margin-top: -230px;
}

#cleaner-carousel .owl-item {
    opacity: 0;
    transform: translateY(20px);
    transition: all .4s .1s ease-out;
}

    #cleaner-carousel .owl-item.active {
        opacity: 1;
        transform: translateY(0);
    }

.total-price {
    font-size: 54px;
    letter-spacing: 0;
}

.btn-check:checked + .btn-outline-secondary,
.btn-check:active +
.btn-outline-secondary,
.btn-outline-secondary:active,
.btn-outline-secondary.active,
.btn-outline-secondary.dropdown-toggle.show {
    background-color: var(--cnvs-themecolor);
    border-color: var(--cnvs-themecolor);
}

.toggle .toggleta i {
    color: var(--cnvs-themecolor);
}

.section:not(.nobg) .fancy-title h4 {
    background-color: #F9F9F9;
}

.testimonials-carousel:before {
    content: "\F6B0";
    font-family: 'bootstrap-icons';
    position: absolute;
    top: -8px;
    left: 50px;
    font-size: 100px;
    color: rgba(51,94,238, 0.02);
    color: rgba(var(--cnvs-themecolor-rgb), 0.08);
}

.header-misc .button {
    background-color: var(--cnvs-secondcolor);
    margin: 0;
    padding: 29px 16px;
}

/* Responsive Device more than 992px (.device-md >)
-----------------------------------------------------------------*/
@media (min-width: 992px) {
    .header-misc .button {
        padding: 29px 34px;
    }

    .slider-title h1 {
        font-size: 40px;
        line-height: 1.3;
        font-weight: 700;
    }

    .feature-box .fbox-img img {
        z-index: 3;
        position: relative;
        background-color: #FFF;
    }

    [class^=col-]:not(:last-child) .feature-box .fbox-img:before {
        content: '';
        position: absolute;
        top: 50%;
        left: 100%;
        width: 150%;
        border-top: 1px dashed var(--cnvs-themecolor);
        transform: translateY(-50%);
        z-index: 0;
    }

    #oc-testi.owl-carousel .owl-dots {
        position: absolute;
        bottom: 45px;
        right: 40px;
    }

        #oc-testi.owl-carousel .owl-dots .owl-dot {
            margin-top: 0;
        }
}

.hanging-tag {
    position: absolute;
    background-color: #f1f1f1;
    border: 1px solid #ccc;
    padding: 8px 16px;
    border-radius: 0 0 12px 0;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    font-weight: bold;
    z-index: 10;
}

.low-salary-row {
    background-color: rgba(var(--bs-danger-rgb), 0.25) !important; /* light red */
}

    .low-salary-row > td {
        /* Use Bootstrap var if available, otherwise fallback to rgb(220, 53, 69) */
        background-color: rgba(var(--bs-danger-rgb, 220, 53, 69), 0.25) !important;
    }
